View Issue Details

IDProjectCategoryView StatusLast Update
0004454Infrastructure[All Projects] Generalpublic2016-11-19 12:10
ReporterZeimusu Assigned Tocbradney  
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Summary0004454: [Fix included] Bug tracker uses windows-1252 encoding
DescriptionThe bug tracker http://bugs.scribus.net uses Windows-1252 encoding. This makes it difficult to enter text from non european languages. It should use unicode. ??????
TagsNo tags attached.

Activities

cbradney

2006-10-30 00:30

administrator   ~0013181

http://www.mantisbugtracker.com/bugs/view.php?id=4084
It should be in Mantis 1.1. Not a local issue as such.

cbradney

2007-12-20 23:22

administrator   ~0018377

??????????

mhanski

2007-12-22 07:24

developer   ~0018393

Last edited: 2007-12-22 07:24

Test UTF-8:
????óÓ????

cbradney

2007-12-22 08:08

administrator   ~0018394

utf8 conversion hasnt been done yet

cbradney

2008-12-22 20:32

administrator   ~0020818

??????

cbradney

2009-06-16 21:33

administrator   ~0021963

http://www.mantisbt.org/bugs/view.php?id=4084 is now closed.. so now we wait for 1.2.x of mantis

cbradney

2010-02-28 00:06

administrator   ~0023404

˜œ?´®†¥¨ˆøø?øˆ¨åß?ƒ©???¬…??µ˜??ç????????

Kunda

2014-08-23 13:04

manager   ~0033325

Move this to Infrastructure

Kunda

2014-08-25 16:13

manager   ~0033346

Reminder sent to: malex

Here is the fix:
http://www.mantisbt.org/wiki/doku.php/mantisbt:upgrade_to_utf8

Kunda

2014-09-02 22:33

manager   ~0033470

Assigned to Malex.
This is a important especially once we get RTL support going and people may submit bug summaries/details in utf8. Issues like 0009365 are good example why it's important.

malex

2014-09-02 22:45

administrator   ~0033471

I'll take a look.

Kunda

2014-10-17 22:25

manager   ~0034051

soft bump

Kunda

2014-10-24 23:35

manager   ~0034145

Test: ????? ??????(Lorem Ipsum) ?? ?????? ?? ???? (????? ?? ?????? ?? ????? ???? ???????) ???????? ?? ?????? ??????? ???? ?????. ??? ????? ?????? ??????? ??????? ???? ?????? ??? ????? ?????? ??? ????? ???? ????? ?????? ??? ?????? ?? ?????? ???? ?????? ?????? ?? ??? ?????? ????? ?????? ???? ?? ???? ???? ???? ??????. ???? ???? ?? ????? ?? ???? ??? ??? ????? ?? ??? ??? ??? ???????? ?????? ?????? ?? ??????? ???????? ??????????. ????? ???? ???? ?? ???????? ??? ????? ?? ????? ????? "????????" (Letraset) ??????????? ???? ????? ?? ??? ????? ???? ?????? ??? ???? ?????? ?? ???? ????? ????? ?????????? ??? "????? ???? ?????" (Aldus PageMaker) ????? ??? ????? ??? ??? ?? ?? ????? ??????.

Kunda

2014-10-24 23:43

manager   ~0034149

????? ??????(Lorem Ipsum) ?? ?????? ?? ???? (????? ?? ?????? ?? ????? ???? ???????) ???????? ?? ?????? ??????? ???? ?????. ??? ????? ?????? ??????? ??????? ???? ?????? ??? ????? ?????? ??? ????? ???? ????? ?????? ??? ?????? ?? ?????? ???? ?????? ?????? ?? ??? ?????? ????? ?????? ???? ?? ???? ???? ???? ??????. ???? ???? ?? ????? ?? ???? ??? ??? ????? ?? ??? ??? ??? ???????? ?????? ?????? ?? ??????? ???????? ??????????. ????? ???? ???? ?? ???????? ??? ????? ?? ????? ????? "????????" (Letraset) ??????????? ???? ????? ?? ??? ????? ???? ?????? ??? ???? ?????? ?? ???? ????? ????? ?????????? ??? "????? ???? ?????" (Aldus PageMaker) ????? ??? ????? ??? ??? ?? ?? ????? ??????.

cbradney

2016-09-06 20:08

administrator   ~0041981

Compact font selection example text:

  ABCDEFGHIJKLMNOPQRSTUVWXYZ /0123456789
  abcdefghijklmnopqrstuvwxyz £©µÀÆÖÞßéöÿ
  –—‘“”„†•…‰™œŠŸž€ ΑΒΓΔΩαβγδω АБВГДабвгд
  ∀∂∈ℝ∧∪≡∞ ↑↗↨↻⇣ ┐┼╔╘░►☺♀ fi�⑀₂ἠḂӥẄɐː⍎אԱა

Greetings in various languages:

  Hello world, Καλημέρα κόσμε, コンニチハ

cbradney

2016-09-06 20:09

administrator   ~0041982

Resolved in bump to Mantis 1.3.1

Kunda

2016-11-19 12:10

manager   ~0042472

Test:

什么是Lorem Ipsum?

Lorem Ipsum,也称乱数假文或者哑元文本, 是印刷及排版领域所常用的虚拟文字。由于曾经一台匿名的打印机刻意打乱了一盒印刷字体从而造出一本字体样品书,Lorem Ipsum从西元15世纪起就被作为此领域的标准文本使用。它不仅延续了五个世纪,还通过了电子排版的挑战,其雏形却依然保存至今。在1960年代,”Leatraset”公司发布了印刷着Lorem Ipsum段落的纸张,从而广泛普及了它的使用。最近,计算机桌面出版软件”Aldus PageMaker”也通过同样的方式使Lorem Ipsum落入大众的视野。
我们为何用它?

无可否认,当读者在浏览一个页面的排版时,难免会被可阅读的内容所分散注意力。Lorem Ipsum的目的就是为了保持字母多多少少标准及平均的分配,而不是“此处有文本,此处有文本”,从而让内容更像可读的英语。如今,很多桌面排版软件以及网页编辑用Lorem Ipsum作为默认的示范文本,搜一搜“Lorem Ipsum”就能找到这些网站的雏形。这些年来Lorem Ipsum演变出了各式各样的版本,有些出于偶然,有些则是故意的(刻意的幽默之类的)。

Kunda

2016-11-19 12:10

manager   ~0042473

thanks!

Issue History

Date Modified Username Field Change
2006-10-29 15:16 Zeimusu New Issue
2006-10-29 19:47 mhanski Note Added: 0013178
2006-10-29 19:50 mhanski Severity minor => tweak
2006-10-29 23:52 plinnell Status new => assigned
2006-10-29 23:52 plinnell Assigned To => cbradney
2006-10-30 00:30 cbradney Note Added: 0013181
2007-12-20 23:22 cbradney Note Added: 0018377
2007-12-22 07:24 mhanski Note Added: 0018393
2007-12-22 07:24 mhanski Note Edited: 0018393
2007-12-22 08:08 cbradney Note Added: 0018394
2008-12-22 20:32 cbradney Note Added: 0020818
2009-06-16 21:33 cbradney Note Added: 0021963
2010-02-28 00:06 cbradney Note Added: 0023404
2014-08-23 13:04 Kunda Note Added: 0033325
2014-08-25 16:13 Kunda Note Added: 0033346
2014-08-25 16:14 Kunda Summary Bug tracker uses windows-1252 encoding => [Fix included] Bug tracker uses windows-1252 encoding
2014-08-25 16:14 Kunda Description Updated View Revisions
2014-09-02 22:31 Kunda Assigned To cbradney => malex
2014-09-02 22:33 Kunda Note Added: 0033470
2014-09-02 22:34 Kunda Relationship added related to 0009365
2014-09-02 22:45 malex Note Added: 0033471
2014-09-08 22:36 cbradney Project Scribus => Infrastructure
2014-09-08 22:36 cbradney Category Website => General
2014-10-17 22:25 Kunda Note Added: 0034051
2014-10-24 23:35 Kunda Note Added: 0034145
2014-10-24 23:43 Kunda Note Added: 0034149
2016-05-31 20:05 jghali Relationship deleted related to 0009365
2016-09-06 20:08 cbradney Note Added: 0041981
2016-09-06 20:09 cbradney Assigned To malex => cbradney
2016-09-06 20:09 cbradney Status assigned => resolved
2016-09-06 20:09 cbradney Resolution open => fixed
2016-09-06 20:09 cbradney Note Added: 0041982
2016-11-19 12:10 Kunda Note Added: 0042472
2016-11-19 12:10 Kunda Status resolved => closed
2016-11-19 12:10 Kunda Note Added: 0042473